class EvidenciaZmluvsController < ApplicationController
  # GET /evidencia_zmluvs
  # GET /evidencia_zmluvs.json
  def index
    @evidencia_zmluvs = EvidenciaZmluv.all

    respond_to do |format|
      format.html # index.html.erb
      format.json { render json: @evidencia_zmluvs }
    end
  end

  # GET /evidencia_zmluvs/1
  # GET /evidencia_zmluvs/1.json
  def show
    @evidencia_zmluv = EvidenciaZmluv.find(params[:id])

    respond_to do |format|
      format.html # show.html.erb
      format.json { render json: @evidencia_zmluv }
    end
  end

  # GET /evidencia_zmluvs/new
  # GET /evidencia_zmluvs/new.json
  def new
    @evidencia_zmluv = EvidenciaZmluv.new

    respond_to do |format|
      format.html # new.html.erb
      format.json { render json: @evidencia_zmluv }
    end
  end

  # GET /evidencia_zmluvs/1/edit
  def edit
    @evidencia_zmluv = EvidenciaZmluv.find(params[:id])
  end

  # POST /evidencia_zmluvs
  # POST /evidencia_zmluvs.json
  def create
    @evidencia_zmluv = EvidenciaZmluv.new(params[:evidencia_zmluv])

    respond_to do |format|
      if @evidencia_zmluv.save
        format.html { redirect_to @evidencia_zmluv, notice: 'Evidencia zmluv was successfully created.' }
        format.json { render json: @evidencia_zmluv, status: :created, location: @evidencia_zmluv }
      else
        format.html { render action: "new" }
        format.json { render json: @evidencia_zmluv.errors, status: :unprocessable_entity }
      end
    end
  end

  # PUT /evidencia_zmluvs/1
  # PUT /evidencia_zmluvs/1.json
  def update
    @evidencia_zmluv = EvidenciaZmluv.find(params[:id])

    respond_to do |format|
      if @evidencia_zmluv.update_attributes(params[:evidencia_zmluv])
        format.html { redirect_to @evidencia_zmluv, notice: 'Evidencia zmluv was successfully updated.' }
        format.json { head :no_content }
      else
        format.html { render action: "edit" }
        format.json { render json: @evidencia_zmluv.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /evidencia_zmluvs/1
  # DELETE /evidencia_zmluvs/1.json
  def destroy
    @evidencia_zmluv = EvidenciaZmluv.find(params[:id])
    @evidencia_zmluv.destroy

    respond_to do |format|
      format.html { redirect_to evidencia_zmluvs_url }
      format.json { head :no_content }
    end
  end
end
